Subject: Re: [GIT PULL] wireless-2026-04-30

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Apr 2026 09:27:47 -0700

On Thu, 30 Apr 2026 17:51:15 +0200 Johannes Berg wrote:
> On Thu, 2026-04-30 at 07:12 -0700, Jakub Kicinski wrote:
> > On Thu, 30 Apr 2026 13:17:52 +0200 Johannes Berg wrote:  
> > > So the LLM floodgates are starting to open ;-) But I'm somewhat
> > > happy that so far we haven't gotten any really critical reports.
> > > Here's a couple of first fixes though.
> > > 
> > > Please pull and let us know if there's any problem.  
> > 
> > Looks like this breaks kunit:
> > 
> > ok 70 mac80211-tpe
> >     KTAP version 1
> >     # Subtest: mac80211-mlme-chan-mode
> >     # module: mac80211_tests
> >     1..1
> >         KTAP version 1
> >         # Subtest: test_determine_chan_mode
> >         ok 1 Normal case, EHT is working
> >         ok 2 Requiring EHT support is fine
> >         ok 3 Lowering the mode limits us
> > kunit: required basic rate or BSS membership selectors not supported or disabled, rejecting connection
> >         ok 4 Requesting a basic rate/selector that we do not support
> >         ok 5 As before, but userspace says it is taking care of it
> >     # test_determine_chan_mode: ASSERTION FAILED at net/mac80211/tests/chan-mode.c:258
> >     Expected conn.mode == params->expected_mode, but
> >         conn.mode == 5 (0x5)
> >         params->expected_mode == 1 (0x1)
> >         not ok 6 Masking out a supported rate in HT capabilities
> >   
> 
> D'oh. Yeah, that's the AP workaround, we'll need to adjust the test. I'm
> on my way out right now, so I guess that'll have to wait for next week.

SG, Paolo already submitted our PR so from Linus tree's perspective
later today or early next week doesn't matter..